Package org.codehaus.janino

# Class Java.Initializer

java.lang.Object
org.codehaus.janino.Java.Located
org.codehaus.janino.Java.AbstractTypeBodyDeclaration
org.codehaus.janino.Java.Initializer

All Implemented Interfaces:
  `Java.BlockStatement`, `Java.FieldDeclarationOrInitializer`, `Java.Locatable`, `Java.Scope`, `Java.TypeBodyDeclaration`

Enclosing class:
  `Java`

public static final class Java.Initializer extends Java.AbstractTypeBodyDeclaration implements Java.FieldDeclarationOrInitializer
Representation of an "instance initializer" (JLS7 8.6) or "static initializer" (JLS7 8.7).

## Field Summary

Fields
Modifier and Type
Field
Description
`final Java.Block`
`block`
The block that poses the initializer.

### Fields inherited from class org.codehaus.janino.Java.AbstractTypeBodyDeclaration

`modifiers`

### Fields inherited from class org.codehaus.janino.Java.Located

`NOWHERE`

## Constructor Summary

Constructors
Constructor
Description
`Initializer(Location location, Java.Modifier[] modifiers, Java.Block block)`

## Method Summary

Modifier and Type
Method
Description
`<R, EX extends Throwable>
R`
`accept(Visitor.BlockStatementVisitor<R,EX> visitor)`
Invokes the "`visit...()`" method of `Visitor.BlockStatementVisitor` for the concrete `Java.BlockStatement` type.
`<R, EX extends Throwable>
R`
`accept(Visitor.FieldDeclarationOrInitializerVisitor<R,EX> visitor)`
`<R, EX extends Throwable>
R`
`accept(Visitor.TypeBodyDeclarationVisitor<R,EX> visitor)`
Invokes the "`visit...()`" method of `Visitor.TypeBodyDeclarationVisitor` for the concrete `Java.TypeBodyDeclaration` type.
`Java.LocalVariable`
`findLocalVariable(String name)`
`boolean`
`isStatic()`
`String`
`toString()`

### Methods inherited from class org.codehaus.janino.Java.AbstractTypeBodyDeclaration

`getAnnotations, getDeclaringType, getEnclosingScope, getModifiers, setDeclaringType, setEnclosingScope`

### Methods inherited from class org.codehaus.janino.Java.Located

`getLocation, throwCompileException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.codehaus.janino.Java.BlockStatement

`getEnclosingScope, setEnclosingScope`

### Methods inherited from interface org.codehaus.janino.Java.Locatable

`getLocation, throwCompileException`

### Methods inherited from interface org.codehaus.janino.Java.TypeBodyDeclaration

`getDeclaringType, getModifiers, setDeclaringType`

## Field Details

### block

public final Java.Block block
The block that poses the initializer.

## Constructor Details

### Initializer

public Initializer(Location location, Java.Modifier[] modifiers, Java.Block block)

## Method Details

### isStatic

public boolean isStatic()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### accept

@Nullable public <R, EX extends Throwable> R accept(Visitor.FieldDeclarationOrInitializerVisitor<R,EX> visitor) throws EX

Specified by:
  `accept` in interface `Java.FieldDeclarationOrInitializer`
Throws:
  `EX`

### accept

@Nullable public <R, EX extends Throwable> R accept(Visitor.TypeBodyDeclarationVisitor<R,EX> visitor) throws EX
Description copied from interface: `Java.TypeBodyDeclaration`
Invokes the "`visit...()`" method of `Visitor.TypeBodyDeclarationVisitor` for the concrete `Java.TypeBodyDeclaration` type.

Specified by:
  `accept` in interface `Java.TypeBodyDeclaration`
Throws:
  `EX`

### accept

@Nullable public <R, EX extends Throwable> R accept(Visitor.BlockStatementVisitor<R,EX> visitor) throws EX
Description copied from interface: `Java.BlockStatement`
Invokes the "`visit...()`" method of `Visitor.BlockStatementVisitor` for the concrete `Java.BlockStatement` type.

Specified by:
  `accept` in interface `Java.BlockStatement`
Throws:
  `EX`

### findLocalVariable

@Nullable public Java.LocalVariable findLocalVariable(String name)

Specified by:
  `findLocalVariable` in interface `Java.BlockStatement`
Returns:
  The local variable with the given name